object Manual: TManual
  Left = 269
  Top = 207
  Width = 457
  Height = 528
  Caption = 'Manual'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  OnCloseQuery = OnCloseManual
  OnCreate = OnCreateManual
  DesignSize = (
    449
    494)
  PixelsPerInch = 96
  TextHeight = 13
  object titleLabel: TLabel
    Left = 8
    Top = 8
    Width = 108
    Height = 24
    Caption = 'MapR2toR2'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clMaroon
    Font.Height = -19
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentFont = False
  end
  object VersionLabel: TLabel
    Left = 144
    Top = 14
    Width = 168
    Height = 16
    Caption = 'version 0.8, January 2009'
    Font.Charset = ANSI_CHARSET
    Font.Color = clNavy
    Font.Height = -13
    Font.Name = 'Tahoma'
    Font.Style = [fsBold]
    ParentFont = False
  end
  object ManualLabel: TLabel
    Left = 8
    Top = 140
    Width = 59
    Height = 18
    Caption = 'Manual:'
    Color = clBtnFace
    Font.Charset = ANSI_CHARSET
    Font.Color = clBlack
    Font.Height = -15
    Font.Name = 'Tahoma'
    Font.Style = [fsBold]
    ParentColor = False
    ParentFont = False
  end
  object PurposeLabel: TLabel
    Left = 8
    Top = 36
    Width = 367
    Height = 18
    Caption = 'Smooth maps from R^2 to R^2, real and complex'
    Font.Charset = ANSI_CHARSET
    Font.Color = clNavy
    Font.Height = -15
    Font.Name = 'Tahoma'
    Font.Style = [fsBold]
    ParentFont = False
  end
  object AuthorLabel: TLabel
    Left = 8
    Top = 64
    Width = 206
    Height = 16
    Caption = 'by Angel Montesinos-Amilibia'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clGreen
    Font.Height = -13
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentFont = False
  end
  object AddressLabel: TLabel
    Left = 32
    Top = 82
    Width = 383
    Height = 39
    Caption = 
      'Departamento de Geometr'#237'a y Topolog'#237'a, Universidad de Valencia,'#13 +
      #10'Vicente Andr'#233's Estell'#233's, 1, 46100 Burjasot (Valencia), Spain'#13#10'e' +
      'mail address:   montesin@uv.es'
    Color = clBtnFace
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clBlack
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentColor = False
    ParentFont = False
    WordWrap = True
  end
  object FreewareLabel: TLabel
    Left = 12
    Top = 124
    Width = 112
    Height = 13
    Caption = 'MapR2toR2 is freeware'
  end
  object RichEdit1: TRichEdit
    Left = 8
    Top = 160
    Width = 434
    Height = 332
    Anchors = [akLeft, akTop, akRight, akBottom]
    Font.Charset = ANSI_CHARSET
    Font.Color = clWindowText
    Font.Height = -13
    Font.Name = 'Courier New'
    Font.Style = []
    HideScrollBars = False
    Lines.Strings = (
      'LIST OF SHORTCUTS'
      ''
      '"dragging the mouse" means here:'
      '    move the mouse with the left'
      '    or right button pressed'
      ''
      'there are three panels: Domain, top left'
      'corner;  Parameters, down left; Image, right.'
      ''
      '<Up, <Down> in Application :'
      '      Increase or decrease the size'
      '      of the cross around the image of a'
      '      domain point.'
      ''
      '<Ctrl> + move mouse in Domain :'
      '      Translates the domain'
      ''
      '<Shift> + move mouse in Domain :'
      '      The domain dimensions are zoomed'
      ''
      'mouse drag in the sphere :'
      '      changes the point from which the'
      '      sphere is seen'
      ''
      '<Ctrl> + drag in the sphere :'
      '      Translates the sphere'
      ''
      '<Shift> + drag up or down in the sphere :'
      '      Increases or diminishes the sphere'
      '      radius'
      ''
      'drag the little circle in Parameters :'
      '      Changes parameter values'
      ''
      '<Ctrl> + R  :'
      '      Reset the stereographic sphere to its'
      '      default values of radius, position'
      '      and viewpoint'
      ''
      ''
      ''
      '1. INTRODUCTION.'
      ''
      'MapR2toR2 is a program for visualizing smoot'
      'maps from a rectangle in R^2 to R^2. Those maps'
      'can be given as real maps, or as complex maps from'
      'the complex field C to itself. As an aid for visualizing'
      'maps that go to infinity, the user may choose to see'
      'an inverse stereographic projection of the image'
      'to a sphere.'
      ''
      'MapR2toR2 is freeware. You can freely get'
      'it from the site'
      ''
      '    <http://www.uv.es/montesin>'
      ''
      'and use it under the terms of the GNU General Public'
      'License, in its version 2 or later.'
      ''
      ''
      ''
      '2. MAP TYPES'
      ''
      'In the File menu you have the types of'
      'map definitions that are covered by this program,'
      'presently'
      ''
      '  Real Functions'
      '  Complex Function.'
      ''
      'In the case a "Real Functions", you must enter,'
      'in the edit fields preceded by the labels '#39'x(u,v)='#39
      'and '#39'y(u,v)='#39', the functions on the variables'
      #39'u,'#39'v'#39' that make the map.'
      ''
      'In the case of "Complex Function", you shall'
      'enter to the right of the label '#39'w(z)='#39' a complex'
      'function of the variable '#39'z'#39'.'
      ''
      'Once these functions are entered, by clicking'
      'with the mouse in the button "Draw It", the program'
      'will show the domain of the map in the upper left'
      'panel, called Domain panel, and its image in the'
      'right panel, called the Image panel.'
      ''
      'The program draws in the Domain panel a grid'
      'of equally spaced (in each coordinate direction)'
      'coordinate lines, and in the Image panel the'
      'image of those same lines. When the mouse is'
      'in the Domain panel over a point that represents'
      'the point P of the domain, the program shows in the'
      'Image panel a "cross" given by two segments'
      'tangent to the images of the coordinate lines'
      'that pass by P. Those segments cross each other'
      'at the image of P. The scale of the cross may'
      'be increased or decreased pressing the keys'
      '<up> and <down>.'
      ''
      ''
      '3. INPUT OF FORMULAS'
      ''
      'In the editable fields for the functions that'
      'define the map, labeled'
      ''
      '   "x(u,v)=", "y(u,v)=0  (for Real functions)'
      '          "w(z)="        (for Complex function)'
      ''
      'you must write functions on the variables that'
      'appear in the label. In the first case you'
      'can use also two real parameters, denoted by'
      #39'p'#39' and '#39'q'#39'. In the second case, only the'
      'parameter p is allowed, but now this parameter'
      'represents a complex number.'
      ''
      'There are also other editable fiels, whose labels'
      'depend on the map type. They are used to input'
      'the rectangle of the plane where the map is defined,'
      'and also for the limits and values of the parameters'
      'p and q, and optionally for limiting the range'
      'of the image space on which the user can clip'
      'the image.'
      ''
      'The program is rather forgiving about the input'
      'of equations. That is, capitalization is'
      'irrelevant, it knows about different'
      'spellings of some functions, say "arctan" = "atan".'
      'It does not need the times "*" symbol between'
      'factors nor even a space, except in very rare'
      'cases; however, if you feel more secure, put a'
      'space between factors. It recognizes the string'
      '"pi" as 3.1415... but not the Greek letter pi'
      'itself. But it does need that the arguments of'
      'functions be put between parentheses. Numbers'
      'must be written as  43.23,  -0.146,  etc. That'
      'is, don'#39't use  .87   nor   0.13e-12.  The'
      'decimal separator must be the dot '#39'.'#39' In the'
      'case of complex functions, you may use the'
      'letter '#39'i'#39' to denote the square root of minus'
      'one. For instance, '#39'(3+7i) cos(p+iz)'#39' is a valid'
      'input for a complex function.'
      ''
      ''
      'Besides the functions:'
      ''
      'plus (+), minus (-), times (*), divide (/), and'
      'power (a^b or a**b),'
      ''
      'you can use the following functions (after an'
      'equal sign between parentheses I have put different'
      'spellings that will be recognized):'
      ''
      '   sqr (square), sqrt (square root), sin (= sen), cos,'
      '   tan (= tg), cot (= cotan = cotg), arcsin (= asin'
      '   = arcsen = asen), arccos (= acos = arcos), arctan'
      '   (= atan = arctg), exp, ln (= log), sinh (= sh),'
      '   cosh (= ch), tanh (= th), arcsinh (= asinh = argsh),'
      '   arccosh (= acosh = argch), arctanh (= atanh ='
      '   argtanh = argth), abs (absolute value).'
      ''
      'In the case of complex functions you may also use the'
      'function  c(z), or Conj(z): they mean indistinctly'
      'the conjugate of the complex number or variable z.'
      ''
      ''
      ''
      ''
      'WARNING:'
      ''
      'The function parser protects the program against'
      'bad data. That is, if the equations provided'
      'contain a function that is undefined in'
      'some region, the program uses a continuous'
      'extension of it. For instance, in the case of'
      'an intended real function, sqrt(x) evaluates to'
      '0 when x < 0, or arcsin(x) evaluates to pi/2 when'
      'x > 1, etc. Therefore,when that occurs, the map'
      'may present regions that are "false" because'
      'on them the given equation is ill defined. The'
      'presence of false regions usually is betrayed by the'
      'appearance of corners in the curves.'
      ''
      'In the case of complex functions, an analogous'
      'phenomenon happens when the function is multi-'
      'valued. But now, the culprit is not the region'
      'but the choice that the program must make between'
      'legitimate values of the function.'
      ''
      ''
      ''
      '4. OTHER INPUT'
      ''
      'You must specify the domain where the functions'
      'and the parameters live. For this, you have edit'
      'fields around the labels "< u <" and "< v <", etc.'
      'In these fields you may use any formula with the'
      'sintaxis described above, but without variables'
      'nor parameters. For instance you may want to put'
      'cos(pi/sqrt(5)) for the maximum of the variable '#39'u'#39'.'
      'Note that these fields are intended only for real'
      'numbers.'
      ''
      'The edit fields with the labels "u =", "v =",'
      '"x =", "y =" are not editable. On they, the program'
      'puts the values of those variables according'
      'to the position of the mouse in the Domain. When'
      'the presentation of the image is flat, the user'
      'can also obtain in the fields labelled "x =", "y ="'
      'the value of a point in the image space by putting'
      'the mouse on it. In the case of a complex map, these'
      'labels change respectively to "z.re", "z.im", "w.re",'
      '"w.im".'
      ''
      'If the user leaves blank some of the four fields around'
      'the labels "< x <" and "< y <"  ("< w.re >", "< w.im <"'
      'in the complex case), the program assumes that the'
      'user wants to see the whole image picture. But this'
      'may result in a bad picture: think of a function that'
      'goes to infinity. In this case, there are two handy options.'
      'The first one is to limit the range of the map, by'
      'filling the four values that make the rectangle where'
      'the image is to be clipped. In the same moment where'
      'the user completes a valid input of the four fields,'
      'the program draws the image.'
      ''
      'The other option is to chose in the menu Preferences the'
      'option "Stereographic image". Then, the program makes the'
      'inverse stereographic projection of the image as follows.'
      ''
      'Consider R^2 imbedded in R^3 as the hyperplane with'
      'zero third coordinate, and the sphere of unit radius centered'
      'at the origin. Then, the program projects the plane to the'
      
        'sphere by the stereographic projection from the south pole (0,0,' +
        '-1).'
      
        'The result is projected then orthogonally to a plane representin' +
        'g'
      'the image panel. Initially that plane is that of zero third'
      'coordinate and the user looks that plane from above. Finally,'
      'the result is scaled so that the sphere fills the panel.'
      ''
      'Then, you may change the position of the sphere center,'
      'its radius, and the inclination of the plane where the sphere'
      'is finally projected. The radius of the sphere may be increased'
      'or diminished by dragging the mouse up or down the Image panel'
      'while keeping the key <shift> pressed. The center of the sphere'
      'may be moved along the plane of zero third coordinate by'
      'dragging the mouse with the <ctrl> key pressed. Finally, the'
      'plane inclination, or equivalently the viewpoint from which'
      'the sphere is seen, may be changed by dragging the mouse on'
      'the Image panel.'
      ''
      'From the description we have done, it is clear that initially'
      'the origin of the R^2 copy where the image belongs is projected'
      'to the center of the Image panel and in the front part of the'
      
        'sphere. The points in the infinity are projected to the center o' +
        'f'
      
        'the Image panel but in the rear part of it. The distinction of t' +
        'he'
      'two parts of the sphere is done  by using different colors.'
      
        'Colors blue and red for the lines or the "cross" mean that the l' +
        'ines'
      'are in the front part of the sphere as seen from the current'
      
        'viewpoint, while a faded gray is used for rendering lines that a' +
        're'
      'in the rear part of the sphere.'
      ''
      ''
      'You may change the map domain with the mouse.'
      'To translate the domain, it is enough to move the'
      'mouse (without pressing it) over the Domain panel'
      'while the <control> key is pressed. To reduce or'
      'increase the interval for '#39'u'#39', move the mouse horizontally'
      'while pressing the <shift> key; to reduce of increase'
      'the interval for '#39'v'#39', move the mouse vertically while'
      'pressing <shift>. I recommend the user not to abuse'
      'of these changes. It is very easy to reach regions where'
      'the results of the functions are enormous and this'
      'might lead to hanging the program, or to difficulties,'
      'faults or errors due to overflows or rounding.'
      ''
      ''
      'On the lower left of the window there is a smaller panel'
      'for the parameters with a little red circle on it. Below'
      'the panel, there are edit fields where the user inputs the'
      'limits where the parameters p and q should move. By'
      'dragging the little red circle with the mouse, you may'
      'change the parameter values; the program responds'
      'inmediately to that changes. You may also modify the'
      'parameter values by editing the two fields that are'
      'at the left of the Parameter panel.'
      ''
      ''
      '5. GEOMETRY AND PREFERENCES MENUS'
      ''
      'When the item "Singular Locus" in the menu Geometry has'
      'been selected, the program draws in dark gray the locus'
      'of the domain where the Jacobian of the map vanishes,'
      'and also in gray its image (plane or stereographic) in'
      'the Image panel.'
      ''
      'The two first items under the menu "Preferences" serve'
      'to tell the program to adjust the domain and image to'
      'the respective panels ("Adjust to Panels"), or to honor'
      'the true proportions of them ("Preserve ratio"). For'
      'instance, it is a nice thing to see that a holomorphic'
      'map preserves angles when the second option is set.'
      ''
      'When the user clicks the menu item "Reset sphere", the'
      'program sets the radius, position and viewpoint of the'
      'stereographic sphere to its default values.'
      ''
      ''
      ''
      '6. THANKS'
      ''
      'I have to thank to my brother, Jos'#233' Mar'#237'a Montesinos-Amilibia,'
      'of the Department of Geometry and Topology, of the'
      'Universidad Complutense de Madrid, with whom I had several'
      'talks about the purpose and interface of the program.'
      ''
      'This project has been partially financed by the grant'
      
        'MTM 2006-06027 from the Spanish Ministerio de Educaci'#243'n y Cienci' +
        'a'
      'for the project "Teor'#237'a de Singularidades: Geometr'#237'a Gen'#233'rica'
      'y Morfolog'#237'a", directed by M'#170' del Carmen Romero Fuster, from'
      'the Departamento de Geometr'#237'a y Topolog'#237'a of the'
      'Universidad de Valencia, Spain.'
      ''
      'Copyright Angel Montesinos-Amilibia, 2008-2009'
      'Angel Montesinos-Amilibia,'
      'Madrid (Espa'#241'a),'
      'January 3, 2009'
      ''
      'e-mail: montesin@uv.es'
      ''
      'Other free programs: http://www.uv.es/montesin'
      ''
      'ordinary mail address:'
      ''
      'Angel Montesinos'
      'Facultad de Matem'#225'ticas'
      'Universidad de Valencia'
      'Vicente Andr'#233's Estell'#233's, 1'
      '46100 Burjasot (Valencia)'
      'Spain')
    ParentFont = False
    ReadOnly = True
    ScrollBars = ssBoth
    TabOrder = 0
    WantReturns = False
    WordWrap = False
  end
end
