{-----------------------------------------------------------------------------
 Unit Name: FManMapR2R2
 Project Name : MapR2toR2
 Author:    Angel Montesinos Amilibia
 December 2008- January 2009
 Purpose: Implements class TManual on which there is some info about the
    program, and the user manual
-----------------------------------------------------------------------------}
{

MapR2toR2, workshop for smooth maps from R^2 to R^2
Copyright (C) 2008-2009 Angel Montesinos Amilibia,
   University of Valencia, Spain


This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation,Inc.,
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

You can email me to:
     montesin@uv.es

Or write me to:
     Angel Montesinos
     Departamento de Geometria y Topologia
     Vicente Andrs Estells, 1
     46100 Burjasot (Valencia)
     Spain

}



unit FManMapR2R2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TManual = class(TForm)
    RichEdit1: TRichEdit;
    titleLabel: TLabel;
    AddressLabel: TLabel;
    ManualLabel: TLabel;
    AuthorLabel: TLabel;
    VersionLabel: TLabel;
    PurposeLabel: TLabel;
    FreewareLabel: TLabel;
    procedure OnCloseManual(Sender: TObject; var CanClose: Boolean);
    procedure OnCreateManual(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Manual: TManual;

implementation

{$R *.dfm}

uses
  resStrings;

procedure TManual.OnCloseManual(Sender: TObject; var CanClose: Boolean);
begin
  Release;
end;

procedure TManual.OnCreateManual(Sender: TObject);
begin
  titleLabel.caption:= eTitle;
  AuthorLabel.caption:= eAuthor;
  VersionLabel.caption:= eVersion;
  PurposeLabel.Caption:= ePurpose;
  AddressLabel.caption:= eAddress;
  FreewareLabel.caption:= eFreeware;
  ManualLabel.Caption:= eManual;
end;

end.
 