{-----------------------------------------------------------------------------
 Unit Name: MapR2toR2
 Project Name : MapR2toR2
 Author:    Angel Montesinos Amilibia
 December 2008- January 2009
 Purpose: the main program unit
-----------------------------------------------------------------------------}
{

MapR2toR2, workshop for smooth maps from R^2 to R^2
Copyright (C) 2008-2009 Angel Montesinos Amilibia,
   University of Valencia, Spain


This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation,Inc.,
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

You can email me to:
     montesin@uv.es

Or write me to:
     Angel Montesinos
     Departamento de Geometria y Topologia
     Vicente Andrs Estells, 1
     46100 Burjasot (Valencia)
     Spain

}

program MapR2toR2;

uses
  Forms,
  FMapR2R2 in 'FMapR2R2.pas' {MapR2R2},
  ConstTypesAndGlobals in 'ConstTypesAndGlobals.pas',
  OCFunctDDDoubleSafe in 'OCFunctDDDoubleSafe.pas',
  OCComplexFunct in 'OCComplexFunct.pas',
  FImplicitCurveLine in 'FImplicitCurveLine.pas',
  ResStrings in 'ResStrings.pas',
  PrintDrawings in 'PrintDrawings.pas',
  FManMapR2R2 in 'FManMapR2R2.pas' {Manual},
  Maps in 'Maps.pas';

{$R *.res}

begin
  {$ALIGN 8} {controls alignment of fields in record types and class structures.
            with ALIGN 8 execution will be faster.}
  Application.Initialize;
  Application.Title := 'MapR2toR2';
  Application.CreateForm(TMapR2R2, MapR2R2);
  Application.CreateForm(TManual, Manual);
  Application.Run;
end.
